//维护 按钮列表 已加载在全局
//通过 this.permissionBtn 调用
import {store} from "../main";
/**
 * 判断按钮在不在用户的权限内
 * @param {String} button_code 
 * @returns Boolean
 */
export const checkPermissionBtn = (button_code)=>{
    const buttonCodes = store.state.permissionButton.permissionButtons.map(item=>item.button_code)
    return buttonCodes.includes(button_code)
}
/*
 * -----------------------------------------------------------------------------研报管理------------------------------------------------
 */
/*
 *--------中文研报列表----------- 
 */
export const reportManageBtn={
    reportManage_sendMsg:'reportManage:sendMsg',//推送消息/已推送消息
    reportManage_reportView:'reportManage:reportView',//研报预览：即是否能点击研报名称跳转预览页面
    reportManage_reportView_wechartShare:'reportManage:reportView:wechartShare',//研报预览页面-微信分享
    reportManage_reportView_copyWechat:'reportManage_reportView_copyWechat',//研报预览页面-复制链接
    reportManage_audioDownload:'reportManage:audioDownload',//音频下载
    reportManage_audioUpload:'reportManage:audioUpload',//音频上传
    reportManage_reportDel:'reportManage:reportDel',//删除研报
    reportManage_reportEdit:'reportManage:reportEdit',//编辑研报
    reportManage_cancelPublish:'reportManage:cancelPublish',//取消发布
    reportManage_publish:'reportManage:publish',//发布研报
    reportManage_reportList:'reportManage:reportList',//研报列表的选项
    reportManage_reportList_uv:'reportManage:reportList:uv',//研报列表-PV/UV
    reportManage_reportList_sendTime:'reportManage:reportList:sendTime',//研报列表-报告推送时间
    reportManage_dayWeekReportAdd:'reportManage:dayWeekReportAdd',//添加晨报周报
    reportManage_reportAdd:'reportManage:reportAdd',//添加研报
}
/*
*--------英文研报列表----------- 
*/
export const enReportManageBtn = {
    enReport_reportView:'enReport:reportView',//研报预览：即是否能点击研报名称跳转预览页面
    enReport_reportView_wechatShare:'enReport:reportView:wechatShare',//研报预览页面-微信分享
    enReport_reportView_copyWechat:'enReport:reportView:copyWechat',//研报预览页面-复制链接
    enReport_sendEmail:'enReport:sendEmail',//群发邮件/群发日志
    enReport_reportDel:'enReport:reportDel',//删除研报
    enReport_reportEdit:'enReport:reportEdit',//编辑研报
    enReport_cancelPublish:'enReport:cancelPublish',//取消发布
    enReport_publish:'enReport:publish',//发布研报
    enReport_syncPolicy:'enReport:syncPolicy',//同步策略报告
    enReport_reportAdd:'enReport:reportAdd',//添加研报

}
/*
*--------中文分类----------- 
*/
export const classifyBtn={
    classifyList_cnClassify:'classifyList:cnClassify',//中文分类这个选项卡是否显示
    classifyList_cnClassify_classifyDel:'classifyList:cnClassify:classifyDel',//一二级分类删除
    classifyList_cnClassify_authSetting:'classifyList:cnClassify:authSetting',//二级分类权限配置
    classifyList_cnClassify_chapterSetting:'classifyList:cnClassify:chapterSetting',//晨周报章节设置
    /*---------添加编辑分类------------- */
    classifyList_cnClassify_classifyAdd:'classifyList:cnClassify:classifyAdd',//一二级添加编辑分类
    classifyList_cnClassify_relateSetting:'classifyList:cnClassify:relateSetting',//表单项：关联设置
    classifyList_cnClassify_miniHidden:'classifyList:cnClassify:miniHidden',//表单项：小程序隐藏
    classifyList_cnClassify_pcBackColor:'classifyList_cnClassify_pcBackColor',//表单项：PC端背景颜色
    classifyList_cnClassify_shareImgs:'classifyList:cnClassify:shareImgs',//表单项：分享链接配图
    classifyList_cnClassify_reportImgs:'classifyList:cnClassify:reportImgs',//表单项：报告合集配图
    classifyList_cnClassify_ficcIcon:'classifyList:cnClassify:ficcIcon',//表单项：FICCicon
    classifyList_cnClassify_ficcSort:'classifyList:cnClassify:ficcSort',//表单项：FICC页排序
    classifyList_cnClassify_backSort:'classifyList:cnClassify:backSort',//表单项：后台排序
    classifyList_cnClassify_showType:'classifyList:cnClassify:showType',//表单项：展示形式
    classifyList_cnClassify_childMenu:'classifyList:cnClassify:childMenu',//表单项：子目录
}
/*
*--------英文分类----------- 
*/
export const enClassifyBtn = {
    classifyList_enClassify:'classifyList:enClassify',//英文分类这个选项卡是否展示
    /* -------------线上路演------------- */
    classifyList_enClassify_roadshow:'classifyList:enClassify:roadshow',//线上路演这个选项卡是否展示
    classifyList_enClassify_rsDel:'classifyList:enClassify:rsDel',//线上路演一二级分类删除
    classifyList_enClassify_rsAuthSetting:'classifyList:enClassify:rsAuthSetting',//线上路演二级分类权限设置
    classifyList_enClassify_rsEdit:'classifyList:enClassify:rsEdit',//线上路演一二级分类编辑
    classifyList_enClassify_rsAddClassify:'classifyList:enClassify:rsAddClassify',//线上路演添加分类按钮
    /* -------------英文研报------------- */
    classifyList_enClassify_report:'classifyList:enClassify:report',//英文研报这个选项卡是否展示
    classifyList_enClassify_rpDel:'classifyList:enClassify:rpDel',//英文研报一二级删除
    classifyList_enClassify_rpAuthSetting:'classifyList:enClassify:rpAuthSetting',//英文研报二级分类权限配置
    classifyList_enClassify_rpEdit:'classifyList:enClassify:rpEdit',//英文研报一二级编辑
    classifyList_enClassify_rpAddClassify:'classifyList:enClassify:rpAddClassify',//英文研报添加分类
}
/*
*--------作者管理----------- 
*/
export const authorManage = {
/*------------------英文研报作者管理------------ */
    authorManage_enReport:'authorManage:enReport',//英文研报选项卡是否展示
    authorManage_enReport_enable:'authorManage:enReport:enable',//英文研报作者启用/禁用
    authorManage_enReport_del:'authorManage:enReport:del',//英文研报作者删除
    authorManage_enReport_edit:'authorManage:enReport:edit',//英文研报作者编辑
/*------------------中文研报作者管理------------ */
    authorManage_cnReport:'authorManage:cnReport',//中文研报选项卡是否展示
    authorManage_cnReport_enable:'authorManage:cnReport:enable',//中文研报作者启用/禁用
    authorManage_cnReport_del:'authorManage:cnReport:del',//中文研报作者删除
    authorManage_cnReport_edit:'authorManage:cnReport:edit',//中文研报作者编辑

    authorManage_add:'authorManage:add',//添加作者按钮
}
/*
*--------英文品种配置----------- 
*/
export const enChartPermission = {
    enChartPermission_del:'enChartPermission:del',
    enChartPermission_save:'enChartPermission:save',
}
/*
*--------云盘----------- 
*/
export const cloudDisk = {
    cloudDisk_del:'cloudDisk:del',
    cloudDisk_download:'cloudDisk:download',
    cloudDisk_rename:'cloudDisk:rename',
    cloudDisk_uploadFile:'cloudDisk:uploadFile',
    cloudDisk_newDir:'cloudDisk:newDir'
}
/*
 * -----------------------------------------------------------------------------智能PPT------------------------------------------------
 */
/*
*--------中文PPT----------- 
*/
export const pptPermission ={
    /*---------对PPT操作--------- */
    ppt_del:'ppt:del',
    ppt_copy:'ppt:copy',
    ppt_toEn:'ppt:toEn',//转英文PPT
    ppt_toReport:'ppt:toReport',//转报告
    ppt_download:'ppt:download',
    ppt_show:'ppt:show',//演示
    ppt_publish:'ppt:publish',
    /*--------页面按钮操作-------- */
    ppt_save:'ppt:save',//添加PPT按钮，同时也控制编辑权限
    ppt_merge:'ppt:merge',//合并PPT
}
/*
*--------英文PPT---------- 
*/
export const enPPTPermission={
    /*---------对PPT操作--------- */
    pptEn_del:'pptEn:del',
    pptEn_copy:'pptEn:copy',
    pptEn_toReport:'pptEn:toReport',//转报告
    pptEn_download:'pptEn:download',
    pptEn_show:'pptEn:show',//演示
    pptEn_publish:'pptEn:publish',
    /*--------页面按钮操作-------- */
    pptEn_save:'pptEn:save',//添加PPT按钮，同时也控制编辑权限
    pptEn_merge:'pptEn:merge',//合并PPT
}

/*
 * ---------------------------------------------------------------------------数据源------------------------------------------------
 */
export const dataSourcePermission = {
    /*--------手工指标列表---- */
    manualData_del:'manualData:del',
    manualData_add:'manualData:add',//新增编辑
    /*--------手工数据录入---- */
    manualDataWrite_edit:'manualDataWrite:edit',//编辑按钮，直接编辑没有禁
    manualDataWrite_export:'manualDataWrite:export',//导出
    manualDataWrite_import:'manualDataWrite:import',//导入
    manualDataWrite_copy:'manualDataWrite:copy',//复制
    /*--------期货数据库没有要控制的东西---- */
    /*--------隆众原始数据库---- */
    longzhongData_export:'longzhongData:export',
    /*--------钢联原始数据库---- */
    glData_export:'glData:export',
    /*--------钢联化工数据库---- */
    mysteelData_refresh:'mysteelData:refresh',//一键刷新
    mysteelData_export:'mysteelData:export',
    mysteelData_add:'mysteelData:add',
    /*--------SMM原始数据库---- */
    smmData_export:'smmData:export',
    /*--------百川盈孚---- */
    bcyfData_edit:'bcyfData:edit',//编辑指标按钮
    bcyfData_export:'bcyfData:export',
    /*--------卓创数据（红桃3）---- */
    hongtao3Data_export:'hongtao3Data:export',
    /*--------中国煤炭市场网）---- */
    zgmtData_export:'zgmtData:export',
    /*--------EIA  STEO报告---- */
    eiaData_export:'eiaData:export',
    /*--------国家统计局---- */
    gjtjjData_export:'gjtjjData:export'

}